Skip to main content
Search graph
Operation ID: http.graph.search

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required
project
string
required

Body

application/json
query
string
required
Required string length: 1 - 512
mode
enum<string>
default:lexical
Available options:
lexical,
semantic,
hybrid
resource_kinds
enum<string>[]
Required array length: 1 - 2 elements
Available options:
node,
edge
types
string[]
Required array length: 1 - 50 elements
Required string length: 1 - 256
resource_ids
string<uuid>[]
Required array length: 1 - 100 elements
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
property_filters
object[]
Maximum array length: 8
limit
integer
default:20
Required range: 1 <= x <= 100
rerank
enum<string>
default:auto
Available options:
auto,
off,
required

Response

2XX - application/json

Success.

data
object
required